Show / Hide Table of Contents

# Class TextField

Text data entry widget

##### Inheritance

System.Object
Responder
View
TextField

##### Inherited Members

View.Add(View)
View.Add(View[])
View.AddCh(Int32, Int32, Int32)
View.Bounds
View.ChildNeedsDisplay()
View.Clear()
View.ClearNeedsDisplay()
View.ColorScheme
View.DrawFrame(Rect, Boolean)
View.DrawHotString(String, Boolean, ColorScheme)
View.DrawHotString(String, Attribute, Attribute)
View.Driver
View.EnsureFocus()
View.Focused
View.FocusFirst()
View.FocusLast()
View.FocusNext()
View.FocusPrev()
View.Frame
View.GetEnumerator()
View.HasFocus
View.Id
View.LayoutSubviews()
View.MostFocused
View.Move(Int32, Int32)
View.ProcessColdKey(KeyEvent)
View.ProcessHotKey(KeyEvent)
View.Remove(View)
View.RemoveAll()
View.ScreenToView(Int32, Int32)
View.SetFocus(View)
View.SetNeedsDisplay()
View.SetNeedsDisplay(Rect)
View.Subviews
View.SuperView
View.ToString()
View.WantMousePositionReports

###### Namespace: Terminal

###### Assembly: Terminal.dll

##### Syntax

    public class TextField : Terminal.View

##### Remarks

The Entry widget provides Emacs-like editing functionality, and mouse support.

### Constructors

#### TextField(Int32, Int32, Int32, String)

Public constructor.

##### Declaration

    public TextField (int x, int y, int w, string s);

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x | To be added.
System.Int32 | y | To be added.
System.Int32 | w | To be added.
System.String | s | To be added.

### Properties

#### CanFocus

##### Declaration

    public override bool CanFocus { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean | To be added.

#### Color

Sets the color attribute to use (includes foreground and background).

##### Declaration

    public Terminal.Attribute Color { get; set; }

##### Property Value

Type | Description
--- | ---
Attribute | The color.

#### CursorPosition

The current cursor position.

##### Declaration

    public int CursorPosition { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | To be added.

#### Secret

Sets the secret property.

##### Declaration

    public bool Secret { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean | To be added.

##### Remarks

This makes the text entry suitable for entering passwords.

#### Text

Sets or gets the text in the entry.

##### Declaration

    public string Text { get; set; }

##### Property Value

Type | Description
--- | ---
System.String | To be added.

### Methods

#### MouseEvent(MouseEvent)

##### Declaration

    public override bool MouseEvent (Terminal.MouseEvent ev);

##### Parameters

Type | Name | Description
--- | --- | ---
MouseEvent | ev | To be added.

##### Returns

Type | Description
--- | ---
System.Boolean | To be added.

#### PositionCursor()

Sets the cursor position.

##### Declaration

    public override void PositionCursor ();

#### ProcessKey(KeyEvent)

##### Declaration

    public override bool ProcessKey (Terminal.KeyEvent kb);

##### Parameters

Type | Name | Description
--- | --- | ---
KeyEvent | kb | To be added.

##### Returns

Type | Description
--- | ---
System.Boolean | To be added.

#### Redraw(Rect)

##### Declaration

    public override void Redraw (Terminal.Rect region);

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | region | To be added.

### Events

#### Changed

Changed event, raised when the text has clicked.

##### Declaration

    public event EventHandler Changed;

##### Event Type

Type | Description
--- | ---
System.EventHandler | To be added.

##### Remarks

Client code can hook up to this event, it is raised when the text in the entry changes.